/* Generated automatically by the program 'build/genpreds'
   from the machine description file '/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/rs6000.md'.  */

#ifndef GCC_TM_CONSTRS_H
#define GCC_TM_CONSTRS_H

static inline bool
satisfies_constraint_wZ (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return altivec_indexed_or_indirect_operand (op, mode);
}
static inline bool
satisfies_constraint_I (rtx op)
{
  HOST_WIDE_INT ival = 0;
  if (CONST_INT_P (op))
    ival = INTVAL (op);
  return (GET_CODE (op) == CONST_INT) && (
#line 84 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
((unsigned HOST_WIDE_INT) (ival + 0x8000) < 0x10000));
}
static inline bool
satisfies_constraint_J (rtx op)
{
  HOST_WIDE_INT ival = 0;
  if (CONST_INT_P (op))
    ival = INTVAL (op);
  return (GET_CODE (op) == CONST_INT) && (
#line 89 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
((ival & (~ (unsigned HOST_WIDE_INT) 0xffff0000)) == 0));
}
static inline bool
satisfies_constraint_K (rtx op)
{
  HOST_WIDE_INT ival = 0;
  if (CONST_INT_P (op))
    ival = INTVAL (op);
  return (GET_CODE (op) == CONST_INT) && (
#line 94 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
((ival & (~ (HOST_WIDE_INT) 0xffff)) == 0));
}
static inline bool
satisfies_constraint_L (rtx op)
{
  HOST_WIDE_INT ival = 0;
  if (CONST_INT_P (op))
    ival = INTVAL (op);
  return (GET_CODE (op) == CONST_INT) && (
#line 99 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
(((ival & 0xffff) == 0
		      && (ival >> 31 == -1 || ival >> 31 == 0))));
}
static inline bool
satisfies_constraint_M (rtx op)
{
  HOST_WIDE_INT ival = 0;
  if (CONST_INT_P (op))
    ival = INTVAL (op);
  return (GET_CODE (op) == CONST_INT) && (
#line 105 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
(ival > 31));
}
static inline bool
satisfies_constraint_N (rtx op)
{
  HOST_WIDE_INT ival = 0;
  if (CONST_INT_P (op))
    ival = INTVAL (op);
  return (GET_CODE (op) == CONST_INT) && (
#line 110 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
(ival > 0 && exact_log2 (ival) >= 0));
}
static inline bool
satisfies_constraint_O (rtx op)
{
  HOST_WIDE_INT ival = 0;
  if (CONST_INT_P (op))
    ival = INTVAL (op);
  return (GET_CODE (op) == CONST_INT) && (
#line 115 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
(ival == 0));
}
static inline bool
satisfies_constraint_P (rtx op)
{
  HOST_WIDE_INT ival = 0;
  if (CONST_INT_P (op))
    ival = INTVAL (op);
  return (GET_CODE (op) == CONST_INT) && (
#line 120 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
((unsigned HOST_WIDE_INT) ((- ival) + 0x8000) < 0x10000));
}
static inline bool
satisfies_constraint_G (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return (GET_CODE (op) == CONST_DOUBLE) && (
#line 128 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
(num_insns_constant (op, mode)
		    == (mode == SFmode ? 1 : 2)));
}
static inline bool
satisfies_constraint_H (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return (GET_CODE (op) == CONST_DOUBLE) && (
#line 134 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
(num_insns_constant (op, mode) == 3));
}
static inline bool
satisfies_constraint_es (rtx op)
{
  return (GET_CODE (op) == MEM) && (
#line 144 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
(GET_RTX_CLASS (GET_CODE (XEXP (op, 0))) != RTX_AUTOINC));
}
static inline bool
satisfies_constraint_Q (rtx op)
{
  return (GET_CODE (op) == MEM) && (
#line 150 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
(GET_CODE (XEXP (op, 0)) == REG));
}
static inline bool
satisfies_constraint_Y (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return word_offset_memref_operand (op, mode);
}
static inline bool
satisfies_constraint_Z (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return indexed_or_indirect_operand (op, mode);
}
static inline bool
satisfies_constraint_a (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return indexed_or_indirect_address (op, mode);
}
static inline bool
satisfies_constraint_R (rtx op)
{
  return 
#line 169 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
(legitimate_constant_pool_address_p (op, QImode, false));
}
static inline bool
satisfies_constraint_S (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return mask64_operand (op, mode);
}
static inline bool
satisfies_constraint_T (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return mask_operand (op, mode);
}
static inline bool
satisfies_constraint_U (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return (
#line 183 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
(DEFAULT_ABI == ABI_V4)) && (small_data_operand (op, mode));
}
static inline bool
satisfies_constraint_t (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return (((mask64_2_operand (op, mode)) && (
#line 190 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
((fixed_regs[CR0_REGNO]
			      || !logical_operand (op, DImode))))) && (!(mask_operand (op, mode)))) && (!(mask64_operand (op, mode)));
}
static inline bool
satisfies_constraint_W (rtx op)
{
  enum machine_mode mode = GET_MODE (op);
  return easy_vector_constant (op, mode);
}
static inline bool
satisfies_constraint_j (rtx op)
{
  return 
#line 201 "/srv/home/pokybuild/yocto-autobuilder/yocto-slave/nightly-ppc/build/build/tmp/work-shared/gcc-4.6.1+svnr175454-r10/gcc-4_6-branch/gcc/config/rs6000/constraints.md"
((op == const0_rtx || op == CONST0_RTX (GET_MODE (op))));
}
#endif /* tm-constrs.h */
