/* Generated automatically by the program `genopinit'
from the machine description file `md'.  */

#include "config.h"
#include "system.h"
#include "coretypes.h"
#include "tm.h"
#include "rtl.h"
#include "tm_p.h"
#include "flags.h"
#include "insn-config.h"
#include "recog.h"
#include "expr.h"
#include "optabs.h"
#include "reload.h"

void
init_all_optabs (void)
{
#ifdef FIXUNS_TRUNC_LIKE_FIX_TRUNC
  int i, j;
#endif

  if (HAVE_extendqidi2)
    set_convert_optab_handler (sext_optab, DImode, QImode, CODE_FOR_extendqidi2);
  set_optab_handler (one_cmpl_optab, SImode, CODE_FOR_one_cmplsi2);
  if (HAVE_one_cmpldi2)
    set_optab_handler (one_cmpl_optab, DImode, CODE_FOR_one_cmpldi2);
  set_optab_handler (clz_optab, SImode, CODE_FOR_clzsi2);
  if (HAVE_clzdi2)
    set_optab_handler (clz_optab, DImode, CODE_FOR_clzdi2);
  set_optab_handler (rotl_optab, SImode, CODE_FOR_rotlsi3);
  if (HAVE_lrintsfdi2)
    set_convert_optab_handler (lrint_optab, DImode, SFmode, CODE_FOR_lrintsfdi2);
  if (HAVE_lrintdfdi2)
    set_convert_optab_handler (lrint_optab, DImode, DFmode, CODE_FOR_lrintdfdi2);
  if (HAVE_roundsf2)
    set_optab_handler (round_optab, SFmode, CODE_FOR_roundsf2);
  if (HAVE_rounddf2)
    set_optab_handler (round_optab, DFmode, CODE_FOR_rounddf2);
  if (HAVE_muldi3)
    set_optab_handler (smul_optab, DImode, CODE_FOR_muldi3);
  if (HAVE_smuldi3_highpart)
    set_optab_handler (smul_highpart_optab, DImode, CODE_FOR_smuldi3_highpart);
  if (HAVE_umuldi3_highpart)
    set_optab_handler (umul_highpart_optab, DImode, CODE_FOR_umuldi3_highpart);
  if (HAVE_rotldi3)
    set_optab_handler (rotl_optab, DImode, CODE_FOR_rotldi3);
  if (HAVE_sync_compare_and_swapsi)
    set_direct_optab_handler (sync_compare_and_swap_optab, SImode, CODE_FOR_sync_compare_and_swapsi);
  if (HAVE_sync_compare_and_swapdi)
    set_direct_optab_handler (sync_compare_and_swap_optab, DImode, CODE_FOR_sync_compare_and_swapdi);
  if (HAVE_sync_lock_test_and_setsi)
    set_direct_optab_handler (sync_lock_test_and_set_optab, SImode, CODE_FOR_sync_lock_test_and_setsi);
  if (HAVE_sync_lock_test_and_setdi)
    set_direct_optab_handler (sync_lock_test_and_set_optab, DImode, CODE_FOR_sync_lock_test_and_setdi);
  if (HAVE_addv4si3)
    set_optab_handler (add_optab, V4SImode, CODE_FOR_addv4si3);
  if (HAVE_addv8hi3)
    set_optab_handler (add_optab, V8HImode, CODE_FOR_addv8hi3);
  if (HAVE_addv16qi3)
    set_optab_handler (add_optab, V16QImode, CODE_FOR_addv16qi3);
  if (HAVE_subv4si3)
    set_optab_handler (sub_optab, V4SImode, CODE_FOR_subv4si3);
  if (HAVE_subv8hi3)
    set_optab_handler (sub_optab, V8HImode, CODE_FOR_subv8hi3);
  if (HAVE_subv16qi3)
    set_optab_handler (sub_optab, V16QImode, CODE_FOR_subv16qi3);
  if (HAVE_umaxv4si3)
    set_optab_handler (umax_optab, V4SImode, CODE_FOR_umaxv4si3);
  if (HAVE_umaxv8hi3)
    set_optab_handler (umax_optab, V8HImode, CODE_FOR_umaxv8hi3);
  if (HAVE_umaxv16qi3)
    set_optab_handler (umax_optab, V16QImode, CODE_FOR_umaxv16qi3);
  if (HAVE_smaxv4si3)
    set_optab_handler (smax_optab, V4SImode, CODE_FOR_smaxv4si3);
  if (HAVE_smaxv8hi3)
    set_optab_handler (smax_optab, V8HImode, CODE_FOR_smaxv8hi3);
  if (HAVE_smaxv16qi3)
    set_optab_handler (smax_optab, V16QImode, CODE_FOR_smaxv16qi3);
  if (HAVE_uminv4si3)
    set_optab_handler (umin_optab, V4SImode, CODE_FOR_uminv4si3);
  if (HAVE_uminv8hi3)
    set_optab_handler (umin_optab, V8HImode, CODE_FOR_uminv8hi3);
  if (HAVE_uminv16qi3)
    set_optab_handler (umin_optab, V16QImode, CODE_FOR_uminv16qi3);
  if (HAVE_sminv4si3)
    set_optab_handler (smin_optab, V4SImode, CODE_FOR_sminv4si3);
  if (HAVE_sminv8hi3)
    set_optab_handler (smin_optab, V8HImode, CODE_FOR_sminv8hi3);
  if (HAVE_sminv16qi3)
    set_optab_handler (smin_optab, V16QImode, CODE_FOR_sminv16qi3);
  if (HAVE_extendsddd2)
    set_convert_optab_handler (sext_optab, DDmode, SDmode, CODE_FOR_extendsddd2);
  if (HAVE_truncddsd2)
    set_convert_optab_handler (trunc_optab, SDmode, DDmode, CODE_FOR_truncddsd2);
  if (HAVE_extendddtd2)
    set_convert_optab_handler (sext_optab, TDmode, DDmode, CODE_FOR_extendddtd2);
  if (HAVE_trunctddd2)
    set_convert_optab_handler (trunc_optab, DDmode, TDmode, CODE_FOR_trunctddd2);
  if (HAVE_adddd3)
    set_optab_handler (addv_optab, DDmode, CODE_FOR_adddd3),
    set_optab_handler (add_optab, DDmode, CODE_FOR_adddd3);
  if (HAVE_addtd3)
    set_optab_handler (addv_optab, TDmode, CODE_FOR_addtd3),
    set_optab_handler (add_optab, TDmode, CODE_FOR_addtd3);
  if (HAVE_subdd3)
    set_optab_handler (subv_optab, DDmode, CODE_FOR_subdd3),
    set_optab_handler (sub_optab, DDmode, CODE_FOR_subdd3);
  if (HAVE_subtd3)
    set_optab_handler (subv_optab, TDmode, CODE_FOR_subtd3),
    set_optab_handler (sub_optab, TDmode, CODE_FOR_subtd3);
  if (HAVE_muldd3)
    set_optab_handler (smulv_optab, DDmode, CODE_FOR_muldd3),
    set_optab_handler (smul_optab, DDmode, CODE_FOR_muldd3);
  if (HAVE_multd3)
    set_optab_handler (smulv_optab, TDmode, CODE_FOR_multd3),
    set_optab_handler (smul_optab, TDmode, CODE_FOR_multd3);
  if (HAVE_divdd3)
    set_optab_handler (sdiv_optab, DDmode, CODE_FOR_divdd3);
  if (HAVE_divtd3)
    set_optab_handler (sdiv_optab, TDmode, CODE_FOR_divtd3);
  if (HAVE_floatditd2)
    set_convert_optab_handler (sfloat_optab, TDmode, DImode, CODE_FOR_floatditd2);
  if (HAVE_ftruncdd2)
    set_optab_handler (ftrunc_optab, DDmode, CODE_FOR_ftruncdd2);
  if (HAVE_fixdddi2)
    set_convert_optab_handler (sfix_optab, DImode, DDmode, CODE_FOR_fixdddi2);
  if (HAVE_ftrunctd2)
    set_optab_handler (ftrunc_optab, TDmode, CODE_FOR_ftrunctd2);
  if (HAVE_fixtddi2)
    set_convert_optab_handler (sfix_optab, DImode, TDmode, CODE_FOR_fixtddi2);
  if (HAVE_zero_extendqidi2)
    set_convert_optab_handler (zext_optab, DImode, QImode, CODE_FOR_zero_extendqidi2);
  if (HAVE_zero_extendhidi2)
    set_convert_optab_handler (zext_optab, DImode, HImode, CODE_FOR_zero_extendhidi2);
  if (HAVE_zero_extendsidi2)
    set_convert_optab_handler (zext_optab, DImode, SImode, CODE_FOR_zero_extendsidi2);
  if (HAVE_extendhidi2)
    set_convert_optab_handler (sext_optab, DImode, HImode, CODE_FOR_extendhidi2);
  if (HAVE_extendsidi2)
    set_convert_optab_handler (sext_optab, DImode, SImode, CODE_FOR_extendsidi2);
  set_convert_optab_handler (zext_optab, SImode, QImode, CODE_FOR_zero_extendqisi2);
  set_convert_optab_handler (sext_optab, SImode, QImode, CODE_FOR_extendqisi2);
  set_convert_optab_handler (zext_optab, HImode, QImode, CODE_FOR_zero_extendqihi2);
  set_convert_optab_handler (sext_optab, HImode, QImode, CODE_FOR_extendqihi2);
  set_convert_optab_handler (zext_optab, SImode, HImode, CODE_FOR_zero_extendhisi2);
  set_convert_optab_handler (sext_optab, SImode, HImode, CODE_FOR_extendhisi2);
  if (HAVE_strlensi)
    set_optab_handler (strlen_optab, SImode, CODE_FOR_strlensi);
  set_optab_handler (add_optab, SImode, CODE_FOR_addsi3);
  set_optab_handler (add_optab, DImode, CODE_FOR_adddi3);
  set_optab_handler (sub_optab, SImode, CODE_FOR_subsi3);
  set_optab_handler (sub_optab, DImode, CODE_FOR_subdi3);
  if (HAVE_sminsi3)
    set_optab_handler (smin_optab, SImode, CODE_FOR_sminsi3);
  if (HAVE_smaxsi3)
    set_optab_handler (smax_optab, SImode, CODE_FOR_smaxsi3);
  if (HAVE_uminsi3)
    set_optab_handler (umin_optab, SImode, CODE_FOR_uminsi3);
  if (HAVE_umaxsi3)
    set_optab_handler (umax_optab, SImode, CODE_FOR_umaxsi3);
  set_optab_handler (abs_optab, SImode, CODE_FOR_abssi2);
  set_optab_handler (neg_optab, SImode, CODE_FOR_negsi2);
  set_optab_handler (neg_optab, DImode, CODE_FOR_negdi2);
  set_optab_handler (ctz_optab, SImode, CODE_FOR_ctzsi2);
  if (HAVE_ctzdi2)
    set_optab_handler (ctz_optab, DImode, CODE_FOR_ctzdi2);
  set_optab_handler (ffs_optab, SImode, CODE_FOR_ffssi2);
  if (HAVE_ffsdi2)
    set_optab_handler (ffs_optab, DImode, CODE_FOR_ffsdi2);
  if (HAVE_popcountsi2)
    set_optab_handler (popcount_optab, SImode, CODE_FOR_popcountsi2);
  if (HAVE_popcountdi2)
    set_optab_handler (popcount_optab, DImode, CODE_FOR_popcountdi2);
  if (HAVE_paritysi2)
    set_optab_handler (parity_optab, SImode, CODE_FOR_paritysi2);
  if (HAVE_paritydi2)
    set_optab_handler (parity_optab, DImode, CODE_FOR_paritydi2);
  set_optab_handler (bswap_optab, HImode, CODE_FOR_bswaphi2);
  set_optab_handler (bswap_optab, SImode, CODE_FOR_bswapsi2);
  set_optab_handler (bswap_optab, DImode, CODE_FOR_bswapdi2);
  set_optab_handler (smul_optab, SImode, CODE_FOR_mulsi3);
  if (HAVE_divmodsi4)
    set_optab_handler (sdivmod_optab, SImode, CODE_FOR_divmodsi4);
  if (HAVE_udivsi3)
    set_optab_handler (udiv_optab, SImode, CODE_FOR_udivsi3);
  if (HAVE_udivdi3)
    set_optab_handler (udiv_optab, DImode, CODE_FOR_udivdi3);
  set_optab_handler (sdiv_optab, SImode, CODE_FOR_divsi3);
  if (HAVE_divdi3)
    set_optab_handler (sdiv_optab, DImode, CODE_FOR_divdi3);
  set_optab_handler (smod_optab, SImode, CODE_FOR_modsi3);
  if (HAVE_moddi3)
    set_optab_handler (smod_optab, DImode, CODE_FOR_moddi3);
  set_optab_handler (udivmod_optab, SImode, CODE_FOR_udivmodsi4);
  set_optab_handler (and_optab, SImode, CODE_FOR_andsi3);
  set_optab_handler (ior_optab, SImode, CODE_FOR_iorsi3);
  set_optab_handler (xor_optab, SImode, CODE_FOR_xorsi3);
  set_optab_handler (ashl_optab, SImode, CODE_FOR_ashlsi3);
  set_optab_handler (lshr_optab, SImode, CODE_FOR_lshrsi3);
  set_optab_handler (ashr_optab, SImode, CODE_FOR_ashrsi3);
  if (HAVE_extendsfdf2)
    set_convert_optab_handler (sext_optab, DFmode, SFmode, CODE_FOR_extendsfdf2);
  if (HAVE_truncdfsf2)
    set_convert_optab_handler (trunc_optab, SFmode, DFmode, CODE_FOR_truncdfsf2);
  if (HAVE_negsf2)
    set_optab_handler (negv_optab, SFmode, CODE_FOR_negsf2),
    set_optab_handler (neg_optab, SFmode, CODE_FOR_negsf2);
  if (HAVE_abssf2)
    set_optab_handler (absv_optab, SFmode, CODE_FOR_abssf2),
    set_optab_handler (abs_optab, SFmode, CODE_FOR_abssf2);
  if (HAVE_addsf3)
    set_optab_handler (addv_optab, SFmode, CODE_FOR_addsf3),
    set_optab_handler (add_optab, SFmode, CODE_FOR_addsf3);
  if (HAVE_subsf3)
    set_optab_handler (subv_optab, SFmode, CODE_FOR_subsf3),
    set_optab_handler (sub_optab, SFmode, CODE_FOR_subsf3);
  if (HAVE_mulsf3)
    set_optab_handler (smulv_optab, SFmode, CODE_FOR_mulsf3),
    set_optab_handler (smul_optab, SFmode, CODE_FOR_mulsf3);
  if (HAVE_divsf3)
    set_optab_handler (sdiv_optab, SFmode, CODE_FOR_divsf3);
  if (HAVE_sqrtsf2)
    set_optab_handler (sqrt_optab, SFmode, CODE_FOR_sqrtsf2);
  if (HAVE_copysignsf3)
    set_optab_handler (copysign_optab, SFmode, CODE_FOR_copysignsf3);
  if (HAVE_copysigndf3)
    set_optab_handler (copysign_optab, DFmode, CODE_FOR_copysigndf3);
  if (HAVE_smaxsf3)
    set_optab_handler (smax_optab, SFmode, CODE_FOR_smaxsf3);
  if (HAVE_sminsf3)
    set_optab_handler (smin_optab, SFmode, CODE_FOR_sminsf3);
  if (HAVE_movsicc)
    set_direct_optab_handler (movcc_optab, SImode, CODE_FOR_movsicc);
  if (HAVE_movdicc)
    set_direct_optab_handler (movcc_optab, DImode, CODE_FOR_movdicc);
  if (HAVE_movsfcc)
    set_direct_optab_handler (movcc_optab, SFmode, CODE_FOR_movsfcc);
  if (HAVE_negdf2)
    set_optab_handler (negv_optab, DFmode, CODE_FOR_negdf2),
    set_optab_handler (neg_optab, DFmode, CODE_FOR_negdf2);
  if (HAVE_absdf2)
    set_optab_handler (absv_optab, DFmode, CODE_FOR_absdf2),
    set_optab_handler (abs_optab, DFmode, CODE_FOR_absdf2);
  if (HAVE_adddf3)
    set_optab_handler (addv_optab, DFmode, CODE_FOR_adddf3),
    set_optab_handler (add_optab, DFmode, CODE_FOR_adddf3);
  if (HAVE_subdf3)
    set_optab_handler (subv_optab, DFmode, CODE_FOR_subdf3),
    set_optab_handler (sub_optab, DFmode, CODE_FOR_subdf3);
  if (HAVE_muldf3)
    set_optab_handler (smulv_optab, DFmode, CODE_FOR_muldf3),
    set_optab_handler (smul_optab, DFmode, CODE_FOR_muldf3);
  if (HAVE_divdf3)
    set_optab_handler (sdiv_optab, DFmode, CODE_FOR_divdf3);
  if (HAVE_sqrtdf2)
    set_optab_handler (sqrt_optab, DFmode, CODE_FOR_sqrtdf2);
  if (HAVE_smaxdf3)
    set_optab_handler (smax_optab, DFmode, CODE_FOR_smaxdf3);
  if (HAVE_smindf3)
    set_optab_handler (smin_optab, DFmode, CODE_FOR_smindf3);
  if (HAVE_movdfcc)
    set_direct_optab_handler (movcc_optab, DFmode, CODE_FOR_movdfcc);
  if (HAVE_floatsidf2)
    set_convert_optab_handler (sfloat_optab, DFmode, SImode, CODE_FOR_floatsidf2);
  if (HAVE_floatunssisf2)
    set_convert_optab_handler (ufloat_optab, SFmode, SImode, CODE_FOR_floatunssisf2);
  if (HAVE_floatunssidf2)
    set_convert_optab_handler (ufloat_optab, DFmode, SImode, CODE_FOR_floatunssidf2);
  if (HAVE_fix_truncsfsi2)
    set_convert_optab_handler (sfixtrunc_optab, SImode, SFmode, CODE_FOR_fix_truncsfsi2);
  if (HAVE_fix_truncdfsi2)
    set_convert_optab_handler (sfixtrunc_optab, SImode, DFmode, CODE_FOR_fix_truncdfsi2);
  if (HAVE_fix_truncsfdi2)
    set_convert_optab_handler (sfixtrunc_optab, DImode, SFmode, CODE_FOR_fix_truncsfdi2);
  if (HAVE_fix_truncdfdi2)
    set_convert_optab_handler (sfixtrunc_optab, DImode, DFmode, CODE_FOR_fix_truncdfdi2);
  if (HAVE_fixuns_truncsfsi2)
    set_convert_optab_handler (ufixtrunc_optab, SImode, SFmode, CODE_FOR_fixuns_truncsfsi2);
  if (HAVE_fixuns_truncdfsi2)
    set_convert_optab_handler (ufixtrunc_optab, SImode, DFmode, CODE_FOR_fixuns_truncdfsi2);
  if (HAVE_fixuns_truncsfdi2)
    set_convert_optab_handler (ufixtrunc_optab, DImode, SFmode, CODE_FOR_fixuns_truncsfdi2);
  if (HAVE_fixuns_truncdfdi2)
    set_convert_optab_handler (ufixtrunc_optab, DImode, DFmode, CODE_FOR_fixuns_truncdfdi2);
  if (HAVE_btruncsf2)
    set_optab_handler (btrunc_optab, SFmode, CODE_FOR_btruncsf2);
  if (HAVE_btruncdf2)
    set_optab_handler (btrunc_optab, DFmode, CODE_FOR_btruncdf2);
  if (HAVE_ceilsf2)
    set_optab_handler (ceil_optab, SFmode, CODE_FOR_ceilsf2);
  if (HAVE_ceildf2)
    set_optab_handler (ceil_optab, DFmode, CODE_FOR_ceildf2);
  if (HAVE_floorsf2)
    set_optab_handler (floor_optab, SFmode, CODE_FOR_floorsf2);
  if (HAVE_floordf2)
    set_optab_handler (floor_optab, DFmode, CODE_FOR_floordf2);
  if (HAVE_floatsisf2)
    set_convert_optab_handler (sfloat_optab, SFmode, SImode, CODE_FOR_floatsisf2);
  if (HAVE_floatdidf2)
    set_convert_optab_handler (sfloat_optab, DFmode, DImode, CODE_FOR_floatdidf2);
  if (HAVE_floatunsdidf2)
    set_convert_optab_handler (ufloat_optab, DFmode, DImode, CODE_FOR_floatunsdidf2);
  if (HAVE_floatdisf2)
    set_convert_optab_handler (sfloat_optab, SFmode, DImode, CODE_FOR_floatdisf2);
  if (HAVE_floatunsdisf2)
    set_convert_optab_handler (ufloat_optab, SFmode, DImode, CODE_FOR_floatunsdisf2);
  if (HAVE_mulsidi3)
    set_optab_handler (smul_widen_optab, DImode, CODE_FOR_mulsidi3);
  if (HAVE_umulsidi3)
    set_optab_handler (umul_widen_optab, DImode, CODE_FOR_umulsidi3);
  set_optab_handler (smul_highpart_optab, SImode, CODE_FOR_smulsi3_highpart);
  if (HAVE_umulsi3_highpart)
    set_optab_handler (umul_highpart_optab, SImode, CODE_FOR_umulsi3_highpart);
  if (HAVE_absdi2)
    set_optab_handler (abs_optab, DImode, CODE_FOR_absdi2);
  if (HAVE_ashldi3)
    set_optab_handler (ashl_optab, DImode, CODE_FOR_ashldi3);
  if (HAVE_lshrdi3)
    set_optab_handler (lshr_optab, DImode, CODE_FOR_lshrdi3);
  if (HAVE_ashrdi3)
    set_optab_handler (ashr_optab, DImode, CODE_FOR_ashrdi3);
  if (HAVE_anddi3)
    set_optab_handler (and_optab, DImode, CODE_FOR_anddi3);
  if (HAVE_iordi3)
    set_optab_handler (ior_optab, DImode, CODE_FOR_iordi3);
  if (HAVE_xordi3)
    set_optab_handler (xor_optab, DImode, CODE_FOR_xordi3);
  if (HAVE_smindi3)
    set_optab_handler (smin_optab, DImode, CODE_FOR_smindi3);
  if (HAVE_smaxdi3)
    set_optab_handler (smax_optab, DImode, CODE_FOR_smaxdi3);
  if (HAVE_umindi3)
    set_optab_handler (umin_optab, DImode, CODE_FOR_umindi3);
  if (HAVE_umaxdi3)
    set_optab_handler (umax_optab, DImode, CODE_FOR_umaxdi3);
  set_optab_handler (mov_optab, QImode, CODE_FOR_movqi);
  set_optab_handler (mov_optab, HImode, CODE_FOR_movhi);
  set_optab_handler (mov_optab, SImode, CODE_FOR_movsi);
  set_optab_handler (mov_optab, DImode, CODE_FOR_movdi);
  set_optab_handler (mov_optab, TImode, CODE_FOR_movti);
  set_optab_handler (mov_optab, CCmode, CODE_FOR_movcc);
  set_optab_handler (mov_optab, SFmode, CODE_FOR_movsf);
  set_optab_handler (mov_optab, DFmode, CODE_FOR_movdf);
  if (HAVE_movtf)
    set_optab_handler (mov_optab, TFmode, CODE_FOR_movtf);
  if (HAVE_extenddftf2)
    set_convert_optab_handler (sext_optab, TFmode, DFmode, CODE_FOR_extenddftf2);
  if (HAVE_extendsftf2)
    set_convert_optab_handler (sext_optab, TFmode, SFmode, CODE_FOR_extendsftf2);
  if (HAVE_trunctfdf2)
    set_convert_optab_handler (trunc_optab, DFmode, TFmode, CODE_FOR_trunctfdf2);
  if (HAVE_trunctfsf2)
    set_convert_optab_handler (trunc_optab, SFmode, TFmode, CODE_FOR_trunctfsf2);
  if (HAVE_floatsitf2)
    set_convert_optab_handler (sfloat_optab, TFmode, SImode, CODE_FOR_floatsitf2);
  if (HAVE_fix_trunctfsi2)
    set_convert_optab_handler (sfixtrunc_optab, SImode, TFmode, CODE_FOR_fix_trunctfsi2);
  if (HAVE_negtf2)
    set_optab_handler (negv_optab, TFmode, CODE_FOR_negtf2),
    set_optab_handler (neg_optab, TFmode, CODE_FOR_negtf2);
  if (HAVE_abstf2)
    set_optab_handler (absv_optab, TFmode, CODE_FOR_abstf2),
    set_optab_handler (abs_optab, TFmode, CODE_FOR_abstf2);
  set_direct_optab_handler (setmem_optab, SImode, CODE_FOR_setmemsi);
  set_direct_optab_handler (movmem_optab, SImode, CODE_FOR_movmemsi);
  set_optab_handler (cbranch_optab, SImode, CODE_FOR_cbranchsi4);
  if (HAVE_cbranchdi4)
    set_optab_handler (cbranch_optab, DImode, CODE_FOR_cbranchdi4);
  if (HAVE_cbranchsf4)
    set_optab_handler (cbranch_optab, SFmode, CODE_FOR_cbranchsf4);
  if (HAVE_cbranchdf4)
    set_optab_handler (cbranch_optab, DFmode, CODE_FOR_cbranchdf4);
  if (HAVE_cbranchtf4)
    set_optab_handler (cbranch_optab, TFmode, CODE_FOR_cbranchtf4);
  if (HAVE_cbranchdd4)
    set_optab_handler (cbranch_optab, DDmode, CODE_FOR_cbranchdd4);
  if (HAVE_cbranchtd4)
    set_optab_handler (cbranch_optab, TDmode, CODE_FOR_cbranchtd4);
  set_optab_handler (cstore_optab, SImode, CODE_FOR_cstoresi4);
  if (HAVE_cstoredi4)
    set_optab_handler (cstore_optab, DImode, CODE_FOR_cstoredi4);
  if (HAVE_cstoresf4)
    set_optab_handler (cstore_optab, SFmode, CODE_FOR_cstoresf4);
  if (HAVE_cstoredf4)
    set_optab_handler (cstore_optab, DFmode, CODE_FOR_cstoredf4);
  if (HAVE_cstoretf4)
    set_optab_handler (cstore_optab, TFmode, CODE_FOR_cstoretf4);
  if (HAVE_cstoredd4)
    set_optab_handler (cstore_optab, DDmode, CODE_FOR_cstoredd4);
  if (HAVE_cstoretd4)
    set_optab_handler (cstore_optab, TDmode, CODE_FOR_cstoretd4);
  set_optab_handler (ctrap_optab, SImode, CODE_FOR_ctrapsi4);
  if (HAVE_ctrapdi4)
    set_optab_handler (ctrap_optab, DImode, CODE_FOR_ctrapdi4);
  if (HAVE_fmasf4)
    set_optab_handler (fma_optab, SFmode, CODE_FOR_fmasf4);
  if (HAVE_fmadf4)
    set_optab_handler (fma_optab, DFmode, CODE_FOR_fmadf4);
  if (HAVE_fmav4sf4)
    set_optab_handler (fma_optab, V4SFmode, CODE_FOR_fmav4sf4);
  if (HAVE_fmav2df4)
    set_optab_handler (fma_optab, V2DFmode, CODE_FOR_fmav2df4);
  if (HAVE_fmssf4)
    set_optab_handler (fms_optab, SFmode, CODE_FOR_fmssf4);
  if (HAVE_fmsdf4)
    set_optab_handler (fms_optab, DFmode, CODE_FOR_fmsdf4);
  if (HAVE_fmsv4sf4)
    set_optab_handler (fms_optab, V4SFmode, CODE_FOR_fmsv4sf4);
  if (HAVE_fmsv2df4)
    set_optab_handler (fms_optab, V2DFmode, CODE_FOR_fmsv2df4);
  if (HAVE_fnmasf4)
    set_optab_handler (fnma_optab, SFmode, CODE_FOR_fnmasf4);
  if (HAVE_fnmadf4)
    set_optab_handler (fnma_optab, DFmode, CODE_FOR_fnmadf4);
  if (HAVE_fnmav4sf4)
    set_optab_handler (fnma_optab, V4SFmode, CODE_FOR_fnmav4sf4);
  if (HAVE_fnmav2df4)
    set_optab_handler (fnma_optab, V2DFmode, CODE_FOR_fnmav2df4);
  if (HAVE_fnmssf4)
    set_optab_handler (fnms_optab, SFmode, CODE_FOR_fnmssf4);
  if (HAVE_fnmsdf4)
    set_optab_handler (fnms_optab, DFmode, CODE_FOR_fnmsdf4);
  if (HAVE_fnmsv4sf4)
    set_optab_handler (fnms_optab, V4SFmode, CODE_FOR_fnmsv4sf4);
  if (HAVE_fnmsv2df4)
    set_optab_handler (fnms_optab, V2DFmode, CODE_FOR_fnmsv2df4);
  if (HAVE_sync_compare_and_swaphi)
    set_direct_optab_handler (sync_compare_and_swap_optab, HImode, CODE_FOR_sync_compare_and_swaphi);
  if (HAVE_sync_compare_and_swapqi)
    set_direct_optab_handler (sync_compare_and_swap_optab, QImode, CODE_FOR_sync_compare_and_swapqi);
  if (HAVE_sync_addqi)
    set_direct_optab_handler (sync_add_optab, QImode, CODE_FOR_sync_addqi);
  if (HAVE_sync_subqi)
    set_direct_optab_handler (sync_sub_optab, QImode, CODE_FOR_sync_subqi);
  if (HAVE_sync_iorqi)
    set_direct_optab_handler (sync_ior_optab, QImode, CODE_FOR_sync_iorqi);
  if (HAVE_sync_xorqi)
    set_direct_optab_handler (sync_xor_optab, QImode, CODE_FOR_sync_xorqi);
  if (HAVE_sync_andqi)
    set_direct_optab_handler (sync_and_optab, QImode, CODE_FOR_sync_andqi);
  if (HAVE_sync_addhi)
    set_direct_optab_handler (sync_add_optab, HImode, CODE_FOR_sync_addhi);
  if (HAVE_sync_subhi)
    set_direct_optab_handler (sync_sub_optab, HImode, CODE_FOR_sync_subhi);
  if (HAVE_sync_iorhi)
    set_direct_optab_handler (sync_ior_optab, HImode, CODE_FOR_sync_iorhi);
  if (HAVE_sync_xorhi)
    set_direct_optab_handler (sync_xor_optab, HImode, CODE_FOR_sync_xorhi);
  if (HAVE_sync_andhi)
    set_direct_optab_handler (sync_and_optab, HImode, CODE_FOR_sync_andhi);
  if (HAVE_sync_addsi)
    set_direct_optab_handler (sync_add_optab, SImode, CODE_FOR_sync_addsi);
  if (HAVE_sync_subsi)
    set_direct_optab_handler (sync_sub_optab, SImode, CODE_FOR_sync_subsi);
  if (HAVE_sync_iorsi)
    set_direct_optab_handler (sync_ior_optab, SImode, CODE_FOR_sync_iorsi);
  if (HAVE_sync_xorsi)
    set_direct_optab_handler (sync_xor_optab, SImode, CODE_FOR_sync_xorsi);
  if (HAVE_sync_andsi)
    set_direct_optab_handler (sync_and_optab, SImode, CODE_FOR_sync_andsi);
  if (HAVE_sync_adddi)
    set_direct_optab_handler (sync_add_optab, DImode, CODE_FOR_sync_adddi);
  if (HAVE_sync_subdi)
    set_direct_optab_handler (sync_sub_optab, DImode, CODE_FOR_sync_subdi);
  if (HAVE_sync_iordi)
    set_direct_optab_handler (sync_ior_optab, DImode, CODE_FOR_sync_iordi);
  if (HAVE_sync_xordi)
    set_direct_optab_handler (sync_xor_optab, DImode, CODE_FOR_sync_xordi);
  if (HAVE_sync_anddi)
    set_direct_optab_handler (sync_and_optab, DImode, CODE_FOR_sync_anddi);
  if (HAVE_sync_nandqi)
    set_direct_optab_handler (sync_nand_optab, QImode, CODE_FOR_sync_nandqi);
  if (HAVE_sync_nandhi)
    set_direct_optab_handler (sync_nand_optab, HImode, CODE_FOR_sync_nandhi);
  if (HAVE_sync_nandsi)
    set_direct_optab_handler (sync_nand_optab, SImode, CODE_FOR_sync_nandsi);
  if (HAVE_sync_nanddi)
    set_direct_optab_handler (sync_nand_optab, DImode, CODE_FOR_sync_nanddi);
  if (HAVE_sync_old_addqi)
    set_direct_optab_handler (sync_old_add_optab, QImode, CODE_FOR_sync_old_addqi);
  if (HAVE_sync_old_subqi)
    set_direct_optab_handler (sync_old_sub_optab, QImode, CODE_FOR_sync_old_subqi);
  if (HAVE_sync_old_iorqi)
    set_direct_optab_handler (sync_old_ior_optab, QImode, CODE_FOR_sync_old_iorqi);
  if (HAVE_sync_old_xorqi)
    set_direct_optab_handler (sync_old_xor_optab, QImode, CODE_FOR_sync_old_xorqi);
  if (HAVE_sync_old_andqi)
    set_direct_optab_handler (sync_old_and_optab, QImode, CODE_FOR_sync_old_andqi);
  if (HAVE_sync_old_addhi)
    set_direct_optab_handler (sync_old_add_optab, HImode, CODE_FOR_sync_old_addhi);
  if (HAVE_sync_old_subhi)
    set_direct_optab_handler (sync_old_sub_optab, HImode, CODE_FOR_sync_old_subhi);
  if (HAVE_sync_old_iorhi)
    set_direct_optab_handler (sync_old_ior_optab, HImode, CODE_FOR_sync_old_iorhi);
  if (HAVE_sync_old_xorhi)
    set_direct_optab_handler (sync_old_xor_optab, HImode, CODE_FOR_sync_old_xorhi);
  if (HAVE_sync_old_andhi)
    set_direct_optab_handler (sync_old_and_optab, HImode, CODE_FOR_sync_old_andhi);
  if (HAVE_sync_old_addsi)
    set_direct_optab_handler (sync_old_add_optab, SImode, CODE_FOR_sync_old_addsi);
  if (HAVE_sync_old_subsi)
    set_direct_optab_handler (sync_old_sub_optab, SImode, CODE_FOR_sync_old_subsi);
  if (HAVE_sync_old_iorsi)
    set_direct_optab_handler (sync_old_ior_optab, SImode, CODE_FOR_sync_old_iorsi);
  if (HAVE_sync_old_xorsi)
    set_direct_optab_handler (sync_old_xor_optab, SImode, CODE_FOR_sync_old_xorsi);
  if (HAVE_sync_old_andsi)
    set_direct_optab_handler (sync_old_and_optab, SImode, CODE_FOR_sync_old_andsi);
  if (HAVE_sync_old_adddi)
    set_direct_optab_handler (sync_old_add_optab, DImode, CODE_FOR_sync_old_adddi);
  if (HAVE_sync_old_subdi)
    set_direct_optab_handler (sync_old_sub_optab, DImode, CODE_FOR_sync_old_subdi);
  if (HAVE_sync_old_iordi)
    set_direct_optab_handler (sync_old_ior_optab, DImode, CODE_FOR_sync_old_iordi);
  if (HAVE_sync_old_xordi)
    set_direct_optab_handler (sync_old_xor_optab, DImode, CODE_FOR_sync_old_xordi);
  if (HAVE_sync_old_anddi)
    set_direct_optab_handler (sync_old_and_optab, DImode, CODE_FOR_sync_old_anddi);
  if (HAVE_sync_old_nandqi)
    set_direct_optab_handler (sync_old_nand_optab, QImode, CODE_FOR_sync_old_nandqi);
  if (HAVE_sync_old_nandhi)
    set_direct_optab_handler (sync_old_nand_optab, HImode, CODE_FOR_sync_old_nandhi);
  if (HAVE_sync_old_nandsi)
    set_direct_optab_handler (sync_old_nand_optab, SImode, CODE_FOR_sync_old_nandsi);
  if (HAVE_sync_old_nanddi)
    set_direct_optab_handler (sync_old_nand_optab, DImode, CODE_FOR_sync_old_nanddi);
  if (HAVE_sync_new_addqi)
    set_direct_optab_handler (sync_new_add_optab, QImode, CODE_FOR_sync_new_addqi);
  if (HAVE_sync_new_subqi)
    set_direct_optab_handler (sync_new_sub_optab, QImode, CODE_FOR_sync_new_subqi);
  if (HAVE_sync_new_iorqi)
    set_direct_optab_handler (sync_new_ior_optab, QImode, CODE_FOR_sync_new_iorqi);
  if (HAVE_sync_new_xorqi)
    set_direct_optab_handler (sync_new_xor_optab, QImode, CODE_FOR_sync_new_xorqi);
  if (HAVE_sync_new_andqi)
    set_direct_optab_handler (sync_new_and_optab, QImode, CODE_FOR_sync_new_andqi);
  if (HAVE_sync_new_addhi)
    set_direct_optab_handler (sync_new_add_optab, HImode, CODE_FOR_sync_new_addhi);
  if (HAVE_sync_new_subhi)
    set_direct_optab_handler (sync_new_sub_optab, HImode, CODE_FOR_sync_new_subhi);
  if (HAVE_sync_new_iorhi)
    set_direct_optab_handler (sync_new_ior_optab, HImode, CODE_FOR_sync_new_iorhi);
  if (HAVE_sync_new_xorhi)
    set_direct_optab_handler (sync_new_xor_optab, HImode, CODE_FOR_sync_new_xorhi);
  if (HAVE_sync_new_andhi)
    set_direct_optab_handler (sync_new_and_optab, HImode, CODE_FOR_sync_new_andhi);
  if (HAVE_sync_new_addsi)
    set_direct_optab_handler (sync_new_add_optab, SImode, CODE_FOR_sync_new_addsi);
  if (HAVE_sync_new_subsi)
    set_direct_optab_handler (sync_new_sub_optab, SImode, CODE_FOR_sync_new_subsi);
  if (HAVE_sync_new_iorsi)
    set_direct_optab_handler (sync_new_ior_optab, SImode, CODE_FOR_sync_new_iorsi);
  if (HAVE_sync_new_xorsi)
    set_direct_optab_handler (sync_new_xor_optab, SImode, CODE_FOR_sync_new_xorsi);
  if (HAVE_sync_new_andsi)
    set_direct_optab_handler (sync_new_and_optab, SImode, CODE_FOR_sync_new_andsi);
  if (HAVE_sync_new_adddi)
    set_direct_optab_handler (sync_new_add_optab, DImode, CODE_FOR_sync_new_adddi);
  if (HAVE_sync_new_subdi)
    set_direct_optab_handler (sync_new_sub_optab, DImode, CODE_FOR_sync_new_subdi);
  if (HAVE_sync_new_iordi)
    set_direct_optab_handler (sync_new_ior_optab, DImode, CODE_FOR_sync_new_iordi);
  if (HAVE_sync_new_xordi)
    set_direct_optab_handler (sync_new_xor_optab, DImode, CODE_FOR_sync_new_xordi);
  if (HAVE_sync_new_anddi)
    set_direct_optab_handler (sync_new_and_optab, DImode, CODE_FOR_sync_new_anddi);
  if (HAVE_sync_new_nandqi)
    set_direct_optab_handler (sync_new_nand_optab, QImode, CODE_FOR_sync_new_nandqi);
  if (HAVE_sync_new_nandhi)
    set_direct_optab_handler (sync_new_nand_optab, HImode, CODE_FOR_sync_new_nandhi);
  if (HAVE_sync_new_nandsi)
    set_direct_optab_handler (sync_new_nand_optab, SImode, CODE_FOR_sync_new_nandsi);
  if (HAVE_sync_new_nanddi)
    set_direct_optab_handler (sync_new_nand_optab, DImode, CODE_FOR_sync_new_nanddi);
  set_direct_optab_handler (sync_lock_release_optab, QImode, CODE_FOR_sync_lock_releaseqi);
  set_direct_optab_handler (sync_lock_release_optab, HImode, CODE_FOR_sync_lock_releasehi);
  set_direct_optab_handler (sync_lock_release_optab, SImode, CODE_FOR_sync_lock_releasesi);
  set_direct_optab_handler (sync_lock_release_optab, DImode, CODE_FOR_sync_lock_releasedi);
  set_direct_optab_handler (sync_lock_release_optab, TImode, CODE_FOR_sync_lock_releaseti);
  if (HAVE_movv16qi)
    set_optab_handler (mov_optab, V16QImode, CODE_FOR_movv16qi);
  if (HAVE_movv8hi)
    set_optab_handler (mov_optab, V8HImode, CODE_FOR_movv8hi);
  if (HAVE_movv4si)
    set_optab_handler (mov_optab, V4SImode, CODE_FOR_movv4si);
  if (HAVE_movv2di)
    set_optab_handler (mov_optab, V2DImode, CODE_FOR_movv2di);
  if (HAVE_movv4sf)
    set_optab_handler (mov_optab, V4SFmode, CODE_FOR_movv4sf);
  if (HAVE_movv2df)
    set_optab_handler (mov_optab, V2DFmode, CODE_FOR_movv2df);
  if (HAVE_addv4sf3)
    set_optab_handler (addv_optab, V4SFmode, CODE_FOR_addv4sf3),
    set_optab_handler (add_optab, V4SFmode, CODE_FOR_addv4sf3);
  if (HAVE_addv2df3)
    set_optab_handler (addv_optab, V2DFmode, CODE_FOR_addv2df3),
    set_optab_handler (add_optab, V2DFmode, CODE_FOR_addv2df3);
  if (HAVE_subv4sf3)
    set_optab_handler (subv_optab, V4SFmode, CODE_FOR_subv4sf3),
    set_optab_handler (sub_optab, V4SFmode, CODE_FOR_subv4sf3);
  if (HAVE_subv2df3)
    set_optab_handler (subv_optab, V2DFmode, CODE_FOR_subv2df3),
    set_optab_handler (sub_optab, V2DFmode, CODE_FOR_subv2df3);
  if (HAVE_mulv4sf3)
    set_optab_handler (smulv_optab, V4SFmode, CODE_FOR_mulv4sf3),
    set_optab_handler (smul_optab, V4SFmode, CODE_FOR_mulv4sf3);
  if (HAVE_mulv2df3)
    set_optab_handler (smulv_optab, V2DFmode, CODE_FOR_mulv2df3),
    set_optab_handler (smul_optab, V2DFmode, CODE_FOR_mulv2df3);
  if (HAVE_divv4sf3)
    set_optab_handler (sdiv_optab, V4SFmode, CODE_FOR_divv4sf3);
  if (HAVE_divv2df3)
    set_optab_handler (sdiv_optab, V2DFmode, CODE_FOR_divv2df3);
  if (HAVE_negv4sf2)
    set_optab_handler (negv_optab, V4SFmode, CODE_FOR_negv4sf2),
    set_optab_handler (neg_optab, V4SFmode, CODE_FOR_negv4sf2);
  if (HAVE_negv2df2)
    set_optab_handler (negv_optab, V2DFmode, CODE_FOR_negv2df2),
    set_optab_handler (neg_optab, V2DFmode, CODE_FOR_negv2df2);
  if (HAVE_absv4sf2)
    set_optab_handler (absv_optab, V4SFmode, CODE_FOR_absv4sf2),
    set_optab_handler (abs_optab, V4SFmode, CODE_FOR_absv4sf2);
  if (HAVE_absv2df2)
    set_optab_handler (absv_optab, V2DFmode, CODE_FOR_absv2df2),
    set_optab_handler (abs_optab, V2DFmode, CODE_FOR_absv2df2);
  if (HAVE_sminv4sf3)
    set_optab_handler (smin_optab, V4SFmode, CODE_FOR_sminv4sf3);
  if (HAVE_sminv2df3)
    set_optab_handler (smin_optab, V2DFmode, CODE_FOR_sminv2df3);
  if (HAVE_smaxv4sf3)
    set_optab_handler (smax_optab, V4SFmode, CODE_FOR_smaxv4sf3);
  if (HAVE_smaxv2df3)
    set_optab_handler (smax_optab, V2DFmode, CODE_FOR_smaxv2df3);
  if (HAVE_sqrtv4sf2)
    set_optab_handler (sqrt_optab, V4SFmode, CODE_FOR_sqrtv4sf2);
  if (HAVE_sqrtv2df2)
    set_optab_handler (sqrt_optab, V2DFmode, CODE_FOR_sqrtv2df2);
  if (HAVE_ftruncv4sf2)
    set_optab_handler (ftrunc_optab, V4SFmode, CODE_FOR_ftruncv4sf2);
  if (HAVE_ftruncv2df2)
    set_optab_handler (ftrunc_optab, V2DFmode, CODE_FOR_ftruncv2df2);
  if (HAVE_vcondv4sf)
    set_direct_optab_handler (vcond_optab, V4SFmode, CODE_FOR_vcondv4sf);
  if (HAVE_vcondv2df)
    set_direct_optab_handler (vcond_optab, V2DFmode, CODE_FOR_vcondv2df);
  if (HAVE_vcondv16qi)
    set_direct_optab_handler (vcond_optab, V16QImode, CODE_FOR_vcondv16qi);
  if (HAVE_vcondv8hi)
    set_direct_optab_handler (vcond_optab, V8HImode, CODE_FOR_vcondv8hi);
  if (HAVE_vcondv4si)
    set_direct_optab_handler (vcond_optab, V4SImode, CODE_FOR_vcondv4si);
  if (HAVE_vconduv16qi)
    set_direct_optab_handler (vcondu_optab, V16QImode, CODE_FOR_vconduv16qi);
  if (HAVE_vconduv8hi)
    set_direct_optab_handler (vcondu_optab, V8HImode, CODE_FOR_vconduv8hi);
  if (HAVE_vconduv4si)
    set_direct_optab_handler (vcondu_optab, V4SImode, CODE_FOR_vconduv4si);
  if (HAVE_xorv16qi3)
    set_optab_handler (xor_optab, V16QImode, CODE_FOR_xorv16qi3);
  if (HAVE_xorv8hi3)
    set_optab_handler (xor_optab, V8HImode, CODE_FOR_xorv8hi3);
  if (HAVE_xorv4si3)
    set_optab_handler (xor_optab, V4SImode, CODE_FOR_xorv4si3);
  if (HAVE_xorv2di3)
    set_optab_handler (xor_optab, V2DImode, CODE_FOR_xorv2di3);
  if (HAVE_xorv4sf3)
    set_optab_handler (xor_optab, V4SFmode, CODE_FOR_xorv4sf3);
  if (HAVE_xorv2df3)
    set_optab_handler (xor_optab, V2DFmode, CODE_FOR_xorv2df3);
  if (HAVE_xorti3)
    set_optab_handler (xor_optab, TImode, CODE_FOR_xorti3);
  if (HAVE_iorv16qi3)
    set_optab_handler (ior_optab, V16QImode, CODE_FOR_iorv16qi3);
  if (HAVE_iorv8hi3)
    set_optab_handler (ior_optab, V8HImode, CODE_FOR_iorv8hi3);
  if (HAVE_iorv4si3)
    set_optab_handler (ior_optab, V4SImode, CODE_FOR_iorv4si3);
  if (HAVE_iorv2di3)
    set_optab_handler (ior_optab, V2DImode, CODE_FOR_iorv2di3);
  if (HAVE_iorv4sf3)
    set_optab_handler (ior_optab, V4SFmode, CODE_FOR_iorv4sf3);
  if (HAVE_iorv2df3)
    set_optab_handler (ior_optab, V2DFmode, CODE_FOR_iorv2df3);
  if (HAVE_iorti3)
    set_optab_handler (ior_optab, TImode, CODE_FOR_iorti3);
  if (HAVE_andv16qi3)
    set_optab_handler (and_optab, V16QImode, CODE_FOR_andv16qi3);
  if (HAVE_andv8hi3)
    set_optab_handler (and_optab, V8HImode, CODE_FOR_andv8hi3);
  if (HAVE_andv4si3)
    set_optab_handler (and_optab, V4SImode, CODE_FOR_andv4si3);
  if (HAVE_andv2di3)
    set_optab_handler (and_optab, V2DImode, CODE_FOR_andv2di3);
  if (HAVE_andv4sf3)
    set_optab_handler (and_optab, V4SFmode, CODE_FOR_andv4sf3);
  if (HAVE_andv2df3)
    set_optab_handler (and_optab, V2DFmode, CODE_FOR_andv2df3);
  if (HAVE_andti3)
    set_optab_handler (and_optab, TImode, CODE_FOR_andti3);
  if (HAVE_one_cmplv16qi2)
    set_optab_handler (one_cmpl_optab, V16QImode, CODE_FOR_one_cmplv16qi2);
  if (HAVE_one_cmplv8hi2)
    set_optab_handler (one_cmpl_optab, V8HImode, CODE_FOR_one_cmplv8hi2);
  if (HAVE_one_cmplv4si2)
    set_optab_handler (one_cmpl_optab, V4SImode, CODE_FOR_one_cmplv4si2);
  if (HAVE_one_cmplv2di2)
    set_optab_handler (one_cmpl_optab, V2DImode, CODE_FOR_one_cmplv2di2);
  if (HAVE_one_cmplv4sf2)
    set_optab_handler (one_cmpl_optab, V4SFmode, CODE_FOR_one_cmplv4sf2);
  if (HAVE_one_cmplv2df2)
    set_optab_handler (one_cmpl_optab, V2DFmode, CODE_FOR_one_cmplv2df2);
  if (HAVE_one_cmplti2)
    set_optab_handler (one_cmpl_optab, TImode, CODE_FOR_one_cmplti2);
  if (HAVE_andcti3)
    set_optab_handler (and_optab, CTImode, CODE_FOR_andcti3);
  if (HAVE_floatv4siv4sf2)
    set_convert_optab_handler (sfloat_optab, V4SFmode, V4SImode, CODE_FOR_floatv4siv4sf2);
  if (HAVE_floatv2div2df2)
    set_convert_optab_handler (sfloat_optab, V2DFmode, V2DImode, CODE_FOR_floatv2div2df2);
  if (HAVE_fix_truncv4sfv4si2)
    set_convert_optab_handler (sfixtrunc_optab, V4SImode, V4SFmode, CODE_FOR_fix_truncv4sfv4si2);
  if (HAVE_fix_truncv2dfv2di2)
    set_convert_optab_handler (sfixtrunc_optab, V2DImode, V2DFmode, CODE_FOR_fix_truncv2dfv2di2);
  if (HAVE_fixuns_truncv4sfv4si2)
    set_convert_optab_handler (ufixtrunc_optab, V4SImode, V4SFmode, CODE_FOR_fixuns_truncv4sfv4si2);
  if (HAVE_fixuns_truncv2dfv2di2)
    set_convert_optab_handler (ufixtrunc_optab, V2DImode, V2DFmode, CODE_FOR_fixuns_truncv2dfv2di2);
  if (HAVE_vec_initv16qi)
    set_optab_handler (vec_init_optab, V16QImode, CODE_FOR_vec_initv16qi);
  if (HAVE_vec_initv8hi)
    set_optab_handler (vec_init_optab, V8HImode, CODE_FOR_vec_initv8hi);
  if (HAVE_vec_initv4si)
    set_optab_handler (vec_init_optab, V4SImode, CODE_FOR_vec_initv4si);
  if (HAVE_vec_initv2di)
    set_optab_handler (vec_init_optab, V2DImode, CODE_FOR_vec_initv2di);
  if (HAVE_vec_initv4sf)
    set_optab_handler (vec_init_optab, V4SFmode, CODE_FOR_vec_initv4sf);
  if (HAVE_vec_initv2df)
    set_optab_handler (vec_init_optab, V2DFmode, CODE_FOR_vec_initv2df);
  if (HAVE_vec_setv16qi)
    set_optab_handler (vec_set_optab, V16QImode, CODE_FOR_vec_setv16qi);
  if (HAVE_vec_setv8hi)
    set_optab_handler (vec_set_optab, V8HImode, CODE_FOR_vec_setv8hi);
  if (HAVE_vec_setv4si)
    set_optab_handler (vec_set_optab, V4SImode, CODE_FOR_vec_setv4si);
  if (HAVE_vec_setv2di)
    set_optab_handler (vec_set_optab, V2DImode, CODE_FOR_vec_setv2di);
  if (HAVE_vec_setv4sf)
    set_optab_handler (vec_set_optab, V4SFmode, CODE_FOR_vec_setv4sf);
  if (HAVE_vec_setv2df)
    set_optab_handler (vec_set_optab, V2DFmode, CODE_FOR_vec_setv2df);
  if (HAVE_vec_extractv16qi)
    set_optab_handler (vec_extract_optab, V16QImode, CODE_FOR_vec_extractv16qi);
  if (HAVE_vec_extractv8hi)
    set_optab_handler (vec_extract_optab, V8HImode, CODE_FOR_vec_extractv8hi);
  if (HAVE_vec_extractv4si)
    set_optab_handler (vec_extract_optab, V4SImode, CODE_FOR_vec_extractv4si);
  if (HAVE_vec_extractv2di)
    set_optab_handler (vec_extract_optab, V2DImode, CODE_FOR_vec_extractv2di);
  if (HAVE_vec_extractv4sf)
    set_optab_handler (vec_extract_optab, V4SFmode, CODE_FOR_vec_extractv4sf);
  if (HAVE_vec_extractv2df)
    set_optab_handler (vec_extract_optab, V2DFmode, CODE_FOR_vec_extractv2df);
  if (HAVE_vec_interleave_highv4sf)
    set_optab_handler (vec_interleave_high_optab, V4SFmode, CODE_FOR_vec_interleave_highv4sf);
  if (HAVE_vec_interleave_lowv4sf)
    set_optab_handler (vec_interleave_low_optab, V4SFmode, CODE_FOR_vec_interleave_lowv4sf);
  if (HAVE_vec_interleave_highv2di)
    set_optab_handler (vec_interleave_high_optab, V2DImode, CODE_FOR_vec_interleave_highv2di);
  if (HAVE_vec_interleave_highv2df)
    set_optab_handler (vec_interleave_high_optab, V2DFmode, CODE_FOR_vec_interleave_highv2df);
  if (HAVE_vec_interleave_lowv2di)
    set_optab_handler (vec_interleave_low_optab, V2DImode, CODE_FOR_vec_interleave_lowv2di);
  if (HAVE_vec_interleave_lowv2df)
    set_optab_handler (vec_interleave_low_optab, V2DFmode, CODE_FOR_vec_interleave_lowv2df);
  if (HAVE_vec_pack_trunc_v2df)
    set_optab_handler (vec_pack_trunc_optab, V2DFmode, CODE_FOR_vec_pack_trunc_v2df);
  if (HAVE_vec_pack_sfix_trunc_v2df)
    set_optab_handler (vec_pack_sfix_trunc_optab, V2DFmode, CODE_FOR_vec_pack_sfix_trunc_v2df);
  if (HAVE_vec_pack_ufix_trunc_v2df)
    set_optab_handler (vec_pack_ufix_trunc_optab, V2DFmode, CODE_FOR_vec_pack_ufix_trunc_v2df);
  if (HAVE_vec_unpacks_hi_v4sf)
    set_optab_handler (vec_unpacks_hi_optab, V4SFmode, CODE_FOR_vec_unpacks_hi_v4sf);
  if (HAVE_vec_unpacks_lo_v4sf)
    set_optab_handler (vec_unpacks_lo_optab, V4SFmode, CODE_FOR_vec_unpacks_lo_v4sf);
  if (HAVE_vec_unpacks_float_hi_v4si)
    set_optab_handler (vec_unpacks_float_hi_optab, V4SImode, CODE_FOR_vec_unpacks_float_hi_v4si);
  if (HAVE_vec_unpacks_float_lo_v4si)
    set_optab_handler (vec_unpacks_float_lo_optab, V4SImode, CODE_FOR_vec_unpacks_float_lo_v4si);
  if (HAVE_vec_unpacku_float_hi_v4si)
    set_optab_handler (vec_unpacku_float_hi_optab, V4SImode, CODE_FOR_vec_unpacku_float_hi_v4si);
  if (HAVE_vec_unpacku_float_lo_v4si)
    set_optab_handler (vec_unpacku_float_lo_optab, V4SImode, CODE_FOR_vec_unpacku_float_lo_v4si);
  if (HAVE_vec_realign_load_v16qi)
    set_optab_handler (vec_realign_load_optab, V16QImode, CODE_FOR_vec_realign_load_v16qi);
  if (HAVE_vec_realign_load_v8hi)
    set_optab_handler (vec_realign_load_optab, V8HImode, CODE_FOR_vec_realign_load_v8hi);
  if (HAVE_vec_realign_load_v4si)
    set_optab_handler (vec_realign_load_optab, V4SImode, CODE_FOR_vec_realign_load_v4si);
  if (HAVE_vec_realign_load_v4sf)
    set_optab_handler (vec_realign_load_optab, V4SFmode, CODE_FOR_vec_realign_load_v4sf);
  if (HAVE_movmisalignv4si)
    set_optab_handler (movmisalign_optab, V4SImode, CODE_FOR_movmisalignv4si);
  if (HAVE_movmisalignv4sf)
    set_optab_handler (movmisalign_optab, V4SFmode, CODE_FOR_movmisalignv4sf);
  if (HAVE_movmisalignv2di)
    set_optab_handler (movmisalign_optab, V2DImode, CODE_FOR_movmisalignv2di);
  if (HAVE_movmisalignv2df)
    set_optab_handler (movmisalign_optab, V2DFmode, CODE_FOR_movmisalignv2df);
  if (HAVE_vec_shl_v16qi)
    set_optab_handler (vec_shl_optab, V16QImode, CODE_FOR_vec_shl_v16qi);
  if (HAVE_vec_shl_v8hi)
    set_optab_handler (vec_shl_optab, V8HImode, CODE_FOR_vec_shl_v8hi);
  if (HAVE_vec_shl_v4si)
    set_optab_handler (vec_shl_optab, V4SImode, CODE_FOR_vec_shl_v4si);
  if (HAVE_vec_shl_v2di)
    set_optab_handler (vec_shl_optab, V2DImode, CODE_FOR_vec_shl_v2di);
  if (HAVE_vec_shl_v4sf)
    set_optab_handler (vec_shl_optab, V4SFmode, CODE_FOR_vec_shl_v4sf);
  if (HAVE_vec_shl_v2df)
    set_optab_handler (vec_shl_optab, V2DFmode, CODE_FOR_vec_shl_v2df);
  if (HAVE_vec_shl_ti)
    set_optab_handler (vec_shl_optab, TImode, CODE_FOR_vec_shl_ti);
  if (HAVE_vec_shr_v16qi)
    set_optab_handler (vec_shr_optab, V16QImode, CODE_FOR_vec_shr_v16qi);
  if (HAVE_vec_shr_v8hi)
    set_optab_handler (vec_shr_optab, V8HImode, CODE_FOR_vec_shr_v8hi);
  if (HAVE_vec_shr_v4si)
    set_optab_handler (vec_shr_optab, V4SImode, CODE_FOR_vec_shr_v4si);
  if (HAVE_vec_shr_v2di)
    set_optab_handler (vec_shr_optab, V2DImode, CODE_FOR_vec_shr_v2di);
  if (HAVE_vec_shr_v4sf)
    set_optab_handler (vec_shr_optab, V4SFmode, CODE_FOR_vec_shr_v4sf);
  if (HAVE_vec_shr_v2df)
    set_optab_handler (vec_shr_optab, V2DFmode, CODE_FOR_vec_shr_v2df);
  if (HAVE_vec_shr_ti)
    set_optab_handler (vec_shr_optab, TImode, CODE_FOR_vec_shr_ti);
  if (HAVE_vrotlv16qi3)
    set_optab_handler (vrotl_optab, V16QImode, CODE_FOR_vrotlv16qi3);
  if (HAVE_vrotlv8hi3)
    set_optab_handler (vrotl_optab, V8HImode, CODE_FOR_vrotlv8hi3);
  if (HAVE_vrotlv4si3)
    set_optab_handler (vrotl_optab, V4SImode, CODE_FOR_vrotlv4si3);
  if (HAVE_vashlv16qi3)
    set_optab_handler (vashl_optab, V16QImode, CODE_FOR_vashlv16qi3);
  if (HAVE_vashlv8hi3)
    set_optab_handler (vashl_optab, V8HImode, CODE_FOR_vashlv8hi3);
  if (HAVE_vashlv4si3)
    set_optab_handler (vashl_optab, V4SImode, CODE_FOR_vashlv4si3);
  if (HAVE_vlshrv16qi3)
    set_optab_handler (vlshr_optab, V16QImode, CODE_FOR_vlshrv16qi3);
  if (HAVE_vlshrv8hi3)
    set_optab_handler (vlshr_optab, V8HImode, CODE_FOR_vlshrv8hi3);
  if (HAVE_vlshrv4si3)
    set_optab_handler (vlshr_optab, V4SImode, CODE_FOR_vlshrv4si3);
  if (HAVE_vashrv16qi3)
    set_optab_handler (vashr_optab, V16QImode, CODE_FOR_vashrv16qi3);
  if (HAVE_vashrv8hi3)
    set_optab_handler (vashr_optab, V8HImode, CODE_FOR_vashrv8hi3);
  if (HAVE_vashrv4si3)
    set_optab_handler (vashr_optab, V4SImode, CODE_FOR_vashrv4si3);
  if (HAVE_mulv4si3)
    set_optab_handler (smul_optab, V4SImode, CODE_FOR_mulv4si3);
  if (HAVE_mulv8hi3)
    set_optab_handler (smul_optab, V8HImode, CODE_FOR_mulv8hi3);
  if (HAVE_absv4si2)
    set_optab_handler (abs_optab, V4SImode, CODE_FOR_absv4si2);
  if (HAVE_absv8hi2)
    set_optab_handler (abs_optab, V8HImode, CODE_FOR_absv8hi2);
  if (HAVE_absv16qi2)
    set_optab_handler (abs_optab, V16QImode, CODE_FOR_absv16qi2);
  if (HAVE_reduc_splus_v8hi)
    set_optab_handler (reduc_splus_optab, V8HImode, CODE_FOR_reduc_splus_v8hi);
  if (HAVE_reduc_splus_v16qi)
    set_optab_handler (reduc_splus_optab, V16QImode, CODE_FOR_reduc_splus_v16qi);
  if (HAVE_reduc_uplus_v16qi)
    set_optab_handler (reduc_uplus_optab, V16QImode, CODE_FOR_reduc_uplus_v16qi);
  if (HAVE_negv4si2)
    set_optab_handler (neg_optab, V4SImode, CODE_FOR_negv4si2);
  if (HAVE_negv8hi2)
    set_optab_handler (neg_optab, V8HImode, CODE_FOR_negv8hi2);
  if (HAVE_negv16qi2)
    set_optab_handler (neg_optab, V16QImode, CODE_FOR_negv16qi2);
  if (HAVE_udot_prodv8hi)
    set_optab_handler (udot_prod_optab, V8HImode, CODE_FOR_udot_prodv8hi);
  if (HAVE_udot_prodv16qi)
    set_optab_handler (udot_prod_optab, V16QImode, CODE_FOR_udot_prodv16qi);
  if (HAVE_sdot_prodv8hi)
    set_optab_handler (sdot_prod_optab, V8HImode, CODE_FOR_sdot_prodv8hi);
  if (HAVE_widen_usumv8hi3)
    set_optab_handler (usum_widen_optab, V8HImode, CODE_FOR_widen_usumv8hi3);
  if (HAVE_widen_usumv16qi3)
    set_optab_handler (usum_widen_optab, V16QImode, CODE_FOR_widen_usumv16qi3);
  if (HAVE_widen_ssumv16qi3)
    set_optab_handler (ssum_widen_optab, V16QImode, CODE_FOR_widen_ssumv16qi3);
  if (HAVE_widen_ssumv8hi3)
    set_optab_handler (ssum_widen_optab, V8HImode, CODE_FOR_widen_ssumv8hi3);
  if (HAVE_vec_unpacks_hi_v16qi)
    set_optab_handler (vec_unpacks_hi_optab, V16QImode, CODE_FOR_vec_unpacks_hi_v16qi);
  if (HAVE_vec_unpacks_hi_v8hi)
    set_optab_handler (vec_unpacks_hi_optab, V8HImode, CODE_FOR_vec_unpacks_hi_v8hi);
  if (HAVE_vec_unpacks_lo_v16qi)
    set_optab_handler (vec_unpacks_lo_optab, V16QImode, CODE_FOR_vec_unpacks_lo_v16qi);
  if (HAVE_vec_unpacks_lo_v8hi)
    set_optab_handler (vec_unpacks_lo_optab, V8HImode, CODE_FOR_vec_unpacks_lo_v8hi);
  if (HAVE_vec_unpacku_hi_v16qi)
    set_optab_handler (vec_unpacku_hi_optab, V16QImode, CODE_FOR_vec_unpacku_hi_v16qi);
  if (HAVE_vec_unpacku_hi_v8hi)
    set_optab_handler (vec_unpacku_hi_optab, V8HImode, CODE_FOR_vec_unpacku_hi_v8hi);
  if (HAVE_vec_unpacku_lo_v16qi)
    set_optab_handler (vec_unpacku_lo_optab, V16QImode, CODE_FOR_vec_unpacku_lo_v16qi);
  if (HAVE_vec_unpacku_lo_v8hi)
    set_optab_handler (vec_unpacku_lo_optab, V8HImode, CODE_FOR_vec_unpacku_lo_v8hi);
  if (HAVE_vec_widen_umult_hi_v16qi)
    set_optab_handler (vec_widen_umult_hi_optab, V16QImode, CODE_FOR_vec_widen_umult_hi_v16qi);
  if (HAVE_vec_widen_umult_lo_v16qi)
    set_optab_handler (vec_widen_umult_lo_optab, V16QImode, CODE_FOR_vec_widen_umult_lo_v16qi);
  if (HAVE_vec_widen_smult_hi_v16qi)
    set_optab_handler (vec_widen_smult_hi_optab, V16QImode, CODE_FOR_vec_widen_smult_hi_v16qi);
  if (HAVE_vec_widen_smult_lo_v16qi)
    set_optab_handler (vec_widen_smult_lo_optab, V16QImode, CODE_FOR_vec_widen_smult_lo_v16qi);
  if (HAVE_vec_widen_umult_hi_v8hi)
    set_optab_handler (vec_widen_umult_hi_optab, V8HImode, CODE_FOR_vec_widen_umult_hi_v8hi);
  if (HAVE_vec_widen_umult_lo_v8hi)
    set_optab_handler (vec_widen_umult_lo_optab, V8HImode, CODE_FOR_vec_widen_umult_lo_v8hi);
  if (HAVE_vec_widen_smult_hi_v8hi)
    set_optab_handler (vec_widen_smult_hi_optab, V8HImode, CODE_FOR_vec_widen_smult_hi_v8hi);
  if (HAVE_vec_widen_smult_lo_v8hi)
    set_optab_handler (vec_widen_smult_lo_optab, V8HImode, CODE_FOR_vec_widen_smult_lo_v8hi);
  if (HAVE_vec_pack_trunc_v8hi)
    set_optab_handler (vec_pack_trunc_optab, V8HImode, CODE_FOR_vec_pack_trunc_v8hi);
  if (HAVE_vec_pack_trunc_v4si)
    set_optab_handler (vec_pack_trunc_optab, V4SImode, CODE_FOR_vec_pack_trunc_v4si);
  if (HAVE_vec_extract_evenv4si)
    set_optab_handler (vec_extract_even_optab, V4SImode, CODE_FOR_vec_extract_evenv4si);
  if (HAVE_vec_extract_evenv4sf)
    set_optab_handler (vec_extract_even_optab, V4SFmode, CODE_FOR_vec_extract_evenv4sf);
  if (HAVE_vec_extract_evenv8hi)
    set_optab_handler (vec_extract_even_optab, V8HImode, CODE_FOR_vec_extract_evenv8hi);
  if (HAVE_vec_extract_evenv16qi)
    set_optab_handler (vec_extract_even_optab, V16QImode, CODE_FOR_vec_extract_evenv16qi);
  if (HAVE_vec_extract_oddv4si)
    set_optab_handler (vec_extract_odd_optab, V4SImode, CODE_FOR_vec_extract_oddv4si);
  if (HAVE_vec_extract_oddv4sf)
    set_optab_handler (vec_extract_odd_optab, V4SFmode, CODE_FOR_vec_extract_oddv4sf);
  if (HAVE_vec_extract_oddv8hi)
    set_optab_handler (vec_extract_odd_optab, V8HImode, CODE_FOR_vec_extract_oddv8hi);
  if (HAVE_vec_extract_oddv16qi)
    set_optab_handler (vec_extract_odd_optab, V16QImode, CODE_FOR_vec_extract_oddv16qi);
  if (HAVE_vec_interleave_highv4si)
    set_optab_handler (vec_interleave_high_optab, V4SImode, CODE_FOR_vec_interleave_highv4si);
  if (HAVE_vec_interleave_highv8hi)
    set_optab_handler (vec_interleave_high_optab, V8HImode, CODE_FOR_vec_interleave_highv8hi);
  if (HAVE_vec_interleave_highv16qi)
    set_optab_handler (vec_interleave_high_optab, V16QImode, CODE_FOR_vec_interleave_highv16qi);
  if (HAVE_vec_interleave_lowv4si)
    set_optab_handler (vec_interleave_low_optab, V4SImode, CODE_FOR_vec_interleave_lowv4si);
  if (HAVE_vec_interleave_lowv8hi)
    set_optab_handler (vec_interleave_low_optab, V8HImode, CODE_FOR_vec_interleave_lowv8hi);
  if (HAVE_vec_interleave_lowv16qi)
    set_optab_handler (vec_interleave_low_optab, V16QImode, CODE_FOR_vec_interleave_lowv16qi);
  if (HAVE_vec_unpacks_float_hi_v8hi)
    set_optab_handler (vec_unpacks_float_hi_optab, V8HImode, CODE_FOR_vec_unpacks_float_hi_v8hi);
  if (HAVE_vec_unpacks_float_lo_v8hi)
    set_optab_handler (vec_unpacks_float_lo_optab, V8HImode, CODE_FOR_vec_unpacks_float_lo_v8hi);
  if (HAVE_vec_unpacku_float_hi_v8hi)
    set_optab_handler (vec_unpacku_float_hi_optab, V8HImode, CODE_FOR_vec_unpacku_float_hi_v8hi);
  if (HAVE_vec_unpacku_float_lo_v8hi)
    set_optab_handler (vec_unpacku_float_lo_optab, V8HImode, CODE_FOR_vec_unpacku_float_lo_v8hi);
  if (HAVE_movsd)
    set_optab_handler (mov_optab, SDmode, CODE_FOR_movsd);
  if (HAVE_extendsdtd2)
    set_convert_optab_handler (sext_optab, TDmode, SDmode, CODE_FOR_extendsdtd2);
  if (HAVE_negdd2)
    set_optab_handler (negv_optab, DDmode, CODE_FOR_negdd2),
    set_optab_handler (neg_optab, DDmode, CODE_FOR_negdd2);
  if (HAVE_absdd2)
    set_optab_handler (absv_optab, DDmode, CODE_FOR_absdd2),
    set_optab_handler (abs_optab, DDmode, CODE_FOR_absdd2);
  set_optab_handler (mov_optab, DDmode, CODE_FOR_movdd);
  if (HAVE_negtd2)
    set_optab_handler (negv_optab, TDmode, CODE_FOR_negtd2),
    set_optab_handler (neg_optab, TDmode, CODE_FOR_negtd2);
  if (HAVE_abstd2)
    set_optab_handler (absv_optab, TDmode, CODE_FOR_abstd2),
    set_optab_handler (abs_optab, TDmode, CODE_FOR_abstd2);
  if (HAVE_movtd)
    set_optab_handler (mov_optab, TDmode, CODE_FOR_movtd);

#ifdef FIXUNS_TRUNC_LIKE_FIX_TRUNC
  /* This flag says the same insns that convert to a signed fixnum
     also convert validly to an unsigned one.  */
  for (i = 0; i < NUM_MACHINE_MODES; i++)
    for (j = 0; j < NUM_MACHINE_MODES; j++)
      set_convert_optab_handler
 	(ufixtrunc_optab, (enum machine_mode) i, (enum machine_mode) j,
	 convert_optab_handler (sfixtrunc_optab, (enum machine_mode) i,
						 (enum machine_mode) j));
#endif
}
